Name:           perl-CPAN-Perl-Releases
Version:        0.92
Release:        1%{?dist}
Summary:        Mapping Perl releases on CPAN to the location of the tarballs
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-Perl-Releases/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/CPAN-Perl-Releases-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Script)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
CPAN::Perl::Releases is a module that contains the mappings of all perl
releases that have been uploaded to CPAN to the authors/id/ path that the
tarballs reside in.

%prep
%setup -q -n CPAN-Perl-Releases-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README tools
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 04 2013 Iain Arnell <iarnell@gmail.com> 0.92-1
- update to latest upstream version

* Fri Oct 19 2012 Iain Arnell <iarnell@gmail.com> 0.76-1
- update to latest upstream version

* Fri Sep 07 2012 Iain Arnell <iarnell@gmail.com> 0.68-1
- update to latest upstream version

* Sat Aug 18 2012 Iain Arnell <iarnell@gmail.com> 0.66-1
- update to latest upstream version

* Sat Jul 21 2012 Iain Arnell <iarnell@gmail.com> 0.62-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.58-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.58-2
- Perl 5.16 rebuild

* Tue May 29 2012 Iain Arnell <iarnell@gmail.com> 0.58-1
- update to latest upstream version

* Fri May 18 2012 Iain Arnell <iarnell@gmail.com> 0.52-1
- update to latest upstream version

* Sat May 12 2012 Iain Arnell <iarnell@gmail.com> 0.48-1
- update to latest upstream version

* Sun Mar 25 2012 Iain Arnell <iarnell@gmail.com> 0.46-1
- update to latest upstream version

* Tue Feb 21 2012 Iain Arnell <iarnell@gmail.com> 0.44-1
- update to latest upstream version

* Tue Feb 07 2012 Iain Arnell <iarnell@gmail.com> 0.42-2
- tweak BuildRequires following review

* Sat Feb 04 2012 Iain Arnell <iarnell@gmail.com> 0.42-1
- Specfile autogenerated by cpanspec 1.79.
